Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue.push
Interface PushStore

All Known Subinterfaces:
  TopicPushStore

All Known Implementing Classes:
  FilePushStore, FileTopicPushStore

    public interface PushStore

Version:
  $Revision: 1 $
Author:
  Bill Burke

Method Summary
`void` | `add(PushRegistration reg)`
`java.util.List<PushRegistration>` | `getByDestination(java.lang.String destination)`
`void` | `remove(PushRegistration reg)`
`void` | `removeAll()`
`void` | `update(PushRegistration reg)`

Method Detail

### add

    void add(PushRegistration reg)
             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### remove

    void remove(PushRegistration reg)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getByDestination

    java.util.List<PushRegistration> getByDestination(java.lang.String destination)

### update

    void update(PushRegistration reg)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeAll

    void removeAll()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.